unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, FileCtrl, ComCtrls, ExtCtrls, jpeg, Menus;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    FileListBox1: TFileListBox;
    DirectoryListBox1: TDirectoryListBox;
    GroupBox2: TGroupBox;
    Image1: TImage;
    Atributy: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    nazev_soubor: TLabel;
    velikost: TLabel;
    Label3: TLabel;
    datum: TLabel;
    MainMenu1: TMainMenu;
    H1: TMenuItem;
    Konec1: TMenuItem;
    Label4: TLabel;
    rozmery: TLabel;
    pomer: TLabel;
    Button2: TButton;
    Button3: TButton;
    GroupBox3: TGroupBox;
    Label5: TLabel;
    Label6: TLabel;
    nazev_soubor_nahled: TLabel;
    velikost_nahled: TLabel;
    Label9: TLabel;
    datum_nahled: TLabel;
    Label11: TLabel;
    rozmery_nahled: TLabel;
    Image2: TImage;
    plus: TButton;
    minus: TButton;
    Button1: TButton;
    Npovda1: TMenuItem;
    GroupBox4: TGroupBox;
    Memo1: TMemo;
    procedure DirectoryListBox1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FileListBox1DblClick(Sender: TObject);


    procedure Image1DblClick(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure Konec1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FileListBox1Change(Sender: TObject);
    procedure plusClick(Sender: TObject);
    procedure minusClick(Sender: TObject);
    procedure Npovda1Click(Sender: TObject);
    procedure GroupBox4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  adresa_souboru : string;
  soubor : integer;


implementation

{$R *.dfm}

procedure TForm1.Button2Click(Sender: TObject);
begin

  image1.AutoSize:=true;    {pouzijeme chytrou funkci na automaticke prizpusobeni objektu iamge velikosti obrazku
                             a nasledne pouze dopocteme zbytek velikosti-form,.....}

  form1.Width:=image1.Width;
  form1.Height:=Image1.Height+200; {kvuli ramecku s atributy}

  form1.rozmery.Caption:=inttostr(Form1.Image1.Picture.Width)+'x'+inttostr(Form1.Image1.Picture.Height);

  form1.pomer.Caption:='(100%)'; {Tady si to snad takhle muzu dovolit :-)}

  image1.AutoSize:=false;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  form1.Top:=0;
  form1.Left:=0;
  form1.Width:=Screen.Width;
  form1.Height:=Screen.Height;
end;

procedure TForm1.DirectoryListBox1Change(Sender: TObject);
var slozka : string;
begin

   slozka:=DirectoryListBox1.Directory;
   FileListBox1.Directory:=slozka;

end;

procedure zmen_obrazek();
  var int_velikost : integer;

begin
  form1.GroupBox1.Visible:=false;
  form1.GroupBox2.Visible:=true;
  form1.Image1.Picture.LoadFromFile(adresa_souboru);

  Form1.nazev_soubor.Caption:=adresa_souboru;

  soubor:=FileOpen(adresa_souboru,0);



  int_velikost:=GetFileSize(soubor,0);
  form1.velikost.Caption:=inttostr(trunc(int_velikost/1024))+' KB ('+inttostr(int_velikost)+' bajt)';

  form1.datum.caption:=DateToStr(FileDateToDateTime(FileGetDate(soubor)));

  form1.rozmery.Caption:=inttostr(Form1.Image1.Picture.Width)+'x'+inttostr(Form1.Image1.Picture.Height);

  form1.pomer.Caption:='('+inttostr(  trunc((Form1.Image1.Height/Form1.Image1.Picture.Height)*100) )+'%)';
  if(trunc((Form1.Image1.Width/Form1.Image1.Picture.Width)*100)<trunc((Form1.Image1.Height/Form1.Image1.Picture.Height)*100))
     then form1.pomer.Caption:='('+inttostr(  trunc((Form1.Image1.width/Form1.Image1.Picture.width)*100) )+'%)';
   {kvuli spravnemu spocteni procent, obrazek se vzdy prizpusobuje mensimu rozmeru, takze i tady musime brat ten mensi pomer}


  FileClose(soubor);
end;




procedure TForm1.FileListBox1Change(Sender: TObject);     {nahled}
var int_velikost : integer;
begin
  adresa_souboru:=FileListBox1.FileName;
  soubor:=FileOpen(adresa_souboru,0);

  int_velikost:=GetFileSize(soubor,0);
  form1.velikost_nahled.Caption:=inttostr(trunc(int_velikost/1024))+' KB ('+inttostr(int_velikost)+' bajt)';

  form1.datum_nahled.caption:=DateToStr(FileDateToDateTime(FileGetDate(soubor)));

  form1.rozmery_nahled.Caption:=inttostr(Form1.Image1.Picture.Width)+'x'+inttostr(Form1.Image1.Picture.Height);

  FileClose(soubor);
  Image2.Picture.LoadFromFile(adresa_souboru);
end;

procedure TForm1.FileListBox1DblClick(Sender: TObject);
begin
  adresa_souboru:=FileListBox1.FileName;
  zmen_obrazek();
end;




procedure TForm1.FormCreate(Sender: TObject);
begin
  DirectoryListBox1.Directory:='C:\';

  FormResize(Form1);


end;


procedure TForm1.FormResize(Sender: TObject);
  var pomocna : integer;
begin
  GroupBox2.Left:=0;
  GroupBox2.Top:=0;
  GroupBox2.Width:=Form1.Width;
  GroupBox2.Height:=Form1.Height;
  Image1.Top:=120;
  Image1.Left:=0;


  Image1.Width:=(GroupBox2.Width);
  Image1.Height:=(GroupBox2.Height-200);

  Atributy.Top:=0;
  Atributy.Left:=5;
  Atributy.Width:=(GroupBox2.Width-30);

  form1.rozmery.Caption:=inttostr(Form1.Image1.Picture.Width)+'x'+inttostr(Form1.Image1.Picture.Height);

  form1.pomer.Caption:='('+inttostr(  trunc((Form1.Image1.Height/Form1.Image1.Picture.Height)*100) )+'%)';
  if(trunc((Form1.Image1.Width/Form1.Image1.Picture.Width)*100)<trunc((Form1.Image1.Height/Form1.Image1.Picture.Height)*100))
     then form1.pomer.Caption:='('+inttostr(  trunc((Form1.Image1.width/Form1.Image1.Picture.width)*100) )+'%)';
   {kvuli spravnemu spocteni procent, obrazek se vzdy prizpusobuje mensimu rozmeru, takze i tady musime brat ten mensi pomer}
end;

procedure TForm1.GroupBox4Click(Sender: TObject);
begin
  GroupBox4.Visible:=false;
end;

procedure TForm1.Image1DblClick(Sender: TObject);
begin
  GroupBox1.Visible:=true;
  GroupBox2.Visible:=false;
end;

procedure TForm1.Konec1Click(Sender: TObject);
begin
  Form1.Close;
end;

procedure TForm1.minusClick(Sender: TObject);
begin
 form1.Width:=trunc(form1.Width*0.95);  {proc na zmenu velikosti jit slozite, kdyz jde zmenit velikost okna a obrazek se sam prizpusobi.....}
 form1.Height:=trunc(form1.Height*0.95);
end;

procedure TForm1.Npovda1Click(Sender: TObject);
begin
  GroupBox4.Visible:=true;
end;

procedure TForm1.plusClick(Sender: TObject);
begin
 form1.Width:=trunc(form1.Width*1.05);
 form1.Height:=trunc(form1.Height*1.05);
end;

end.
